package digital.laboratory.platform.imr.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor

public enum OutboundType {


    USE(1,"领用出库"),

    DESTRUCTION(2,"销毁出库"),

    RETURN(3,"退还出库"),


    SCANCODE(4,"扫码出库"),

    FORCE(5,"强制出库");

    @EnumValue//标记数据库存的值是status
    private final int status;
    @JsonValue//标记返回前端字段
    private final String description;
}
